# Ecogesture

## Description

An ecogesture is a gesture that encourages user to take action for reduce their own consumption.

It includes different information such as icon, name, long and short description, its efficiency on the consumption and which fluid is affected.

Also, an ecogesture can be used for an action challenge.

## All ecogestures screen

This screen display the full list of ecogestures. User can filter ecogesture by usage.

## Ecogestures filtered by profile

This screen display is based on a filtered ecogesture list that fit to the user profile type.
The user can also filter ecogesture by usage.

Following rules are used to filter the ecogesture:

### Case ecogesture usage is heating

We will display the ecogesture if:

- the ecogesture has electricity fluid and profile type has an individual heating which use electricity fluid.

OR

- the ecogesture has gas fluid and profile type has an individual heating which use gas fluid.

### Case ecogesture usage is ECS

> `ECS = Eau chaude sanitaire`

We will display the ecogesture if:

- the ecogesture has electricity fluid and profile type has an individual hot water which use electricity fluid.

OR

- the ecogesture has gas fluid and profile type has an individual hot water which use gas fluid.

### Case ecogesture usage is ECS

We will display the ecogesture if:

- the ecogesture has electricity fluid and profile type has an electricity fluid for cooking.

OR

- the ecogesture has gas fluid and profile type has an gas fluid for cooking.

### Case ecogesture usage is cold water

We will display the ecogesture if the profile type has individual cold water.

### Case ecogesture usage is specific electricity

We will display the ecogesture.

### Case ecogesture usage is air conditioning

We will NOT display the ecogesture.
